class Api::V1::Projects::DevelopProcessPullRequestsController < Api::V1::BaseController
  def index
    @pull_requests = PullRequest.includes(:project, project: :project_category) 
    @pull_requests = @pull_requests.ransack(m: 'or', project_name_cont: params[:keyword], project_identifier_cont: params[:keyword]).result if params[:keyword].present?
    @pull_requests = kaminari_paginate(@pull_requests.order(created_at: :desc))
  end

  def count 
    render_ok({count: PullRequest.count})
  end
end